//	Copyright (c) Pascal Goguey, PassWorld, 2005 ~
//	As there will be several LCDs, this file should be
//	renamed to PWLcd10164.h
#ifndef _PWLCD_H_
#define _PWLCD_H_
//#include "msp430x42x0.h"
#include "types.h"

//	This is a bunch of function to handle the LCD PW10164.
//	All the functions are very general except the last one
//	(write time) which is related to the board's real-time
//	clock. I have hesitated for a while whether I should
//	include PW10164LCD.h in RTC and write the function there
//	and finally I wrote it here...

//	Public functions
//	Initialization.
	void PWDisplayInit( void );
//	Commands
	void SetColumn(uint8 col);
	void SetPage(uint8 page);
	void MoveTo(uint8 col, uint8 page);
	void SetFirstLine(uint8 line);
	void SetHDir(uint8 dir);
	void SetVDir(uint8 dir);
	void SetHOffset(uint8 hof);
//	
	uint8 GetHOffset(void);
//	
	void ClearDisplay( void );
//	
	void ClearArea(uint8 line, uint8 from, uint8 to);
	void SetArea(uint8 line, uint8 from, uint8 to, uint8 pattern);
	void SetContrast(uint8 contrast);
	void WriteString(char * str);
	void WriteInvString(char * str);
	void WriteDigit(uint8 digit);
	void WriteInvDigit(uint8 digit);
	void WriteBCD(uint8 BCD);
	void WriteInvBCD(uint8 BCD);
	void WriteChar(uint8 c);
	void WriteInvChar(uint8 c);
	void WriteHexa(uint8 val);
	void WriteVal(uint16 val);
	void DrawDataAt(uint8 col, uint8 page, uint8 * data, uint8 len);
	void LCDSelect(uint8 val);
//	void WriteTime(uint8 * timebuf, uint8 what);

#endif
